> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Get details of a specific profile.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/organizations/{org_id}/profiles/{name}
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/{org_id}/profiles/{name}:
    get:
      tags:
        - Organization Profiles
      summary: Get Profile
      description: Get details of a specific profile.
      operationId: get_profile_api_organizations__org_id__profiles__name__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Org Id
        - name: name
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/server__routes__org_profiles__ProfileDetailResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    server__routes__org_profiles__ProfileDetailResponse:
      properties:
        name:
          type: string
          title: Name
        llm:
          additionalProperties: true
          type: object
          title: Llm
      type: object
      required:
        - name
        - llm
      title: ProfileDetailResponse
      description: Response for getting a single profile's details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````